Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPPollQueueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException
                  com.verisign.epp.framework.EPPPollQueueException

All Implemented Interfaces:
  java.io.Serializable

    public class EPPPollQueueException

extends EPPException

Represents a general EPP Poll Queue Exception.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_DEFAULT` Default type of poll queue exception
`static int` | `TYPE_MSGID_NOT_FOUND` Message id was not found
`static int` | `TYPE_QUEUE_EMPTY` Poll queue is empty

Constructor Summary
`EPPPollQueueException(int aType, java.lang.String info)` Constructor for EPPPollQueueException that takes a type and an info string.
`EPPPollQueueException(java.lang.String info)` Constructor for EPPPollQueueException that takes an info string.

Method Summary
`int` | `getType()` Function to get the exception type.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_DEFAULT

    public static final int TYPE_DEFAULT

  Default type of poll queue exception

  See Also:
    Constant Field Values

### TYPE_QUEUE_EMPTY

    public static final int TYPE_QUEUE_EMPTY

  Poll queue is empty

  See Also:
    Constant Field Values

### TYPE_MSGID_NOT_FOUND

    public static final int TYPE_MSGID_NOT_FOUND

  Message id was not found

  See Also:
    Constant Field Values

Constructor Detail

### EPPPollQueueException

    public EPPPollQueueException(java.lang.String info)

  Constructor for EPPPollQueueException that takes an info string.

  Parameters:
    `info` - Text description of the exception.

### EPPPollQueueException

    public EPPPollQueueException(int aType,
                                 java.lang.String info)

  Constructor for EPPPollQueueException that takes a type and an info string.

  Parameters:
    `aType` - Type of the exception.
    `info` - Text description of the exception.

Method Detail

### getType

    public int getType()

  Function to get the exception type.

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.